Bug 123836 - Kernel powers off IDE harddisk during reboot
Kernel powers off IDE harddisk during reboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 17:44 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 11:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-05-20 17:44:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When rebooting, the kernel is powering off IDE harddisks just before
rebooting instead of just flushing the cache.

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.374

How reproducible:
Always

Steps to Reproduce:
1. reboot the system
2. harddisk are powered down just before reset
3. harddisk are spun up again by the bios
    

Actual Results:  Harddisks are spun down and up again

Expected Results:  Just flushing the caches

Additional info:
Comment 1 Darin May 2004-05-24 13:45:09 EDT
I'm seeing this too.  It started with the last two released FC2
kernels.  A shutdown would be fine of the system was being shutdown,
but not for a reset.

Also, only my ATA100 attached drive spins down, the SATA drive stays
running.  Could be an AT_PIIX driver specific issue.
Comment 2 Darin May 2004-08-20 20:14:02 EDT
WFM in newer kernels.
Comment 3 Ralf Ertzinger 2004-08-23 11:21:37 EDT
Seems fixed in current rawhide.

Note You need to log in before you can comment on or make changes to this bug.